<template>
  <section id="health-pros">
    <PageTitle title="WINIT health pros" />
    <div class="content-wrapper">
      <Filters />
      <div class="doctors">
        <ListItem
            v-for="(doctor, idx) in doctors"
            :key="idx"
            :id="doctor.id"
            :avatar="doctor.avatar"
            :rating="doctor.rating"
            :name="doctor.name"
            :location="doctor.location"
            :professional="doctor.professional"
            :short-description="doctor.shortDescription"
            :price-max="doctor.priceMax"
            :price-min="doctor.priceMin"
        />
      </div>
    </div>
  </section>
</template>

<script>
import PageTitle from "@/components/PageTitle";
import Filters from "@/pages/HealthProps/components/Filters";
import ListItem from "@/pages/HealthProps/components/ListItem";
export default {
  components: {ListItem, Filters, PageTitle},
  data() {
    return {
      doctors: [
        {
          id: 1,
          avatar: null,
          rating: 5,
          name: 'Alexandra Griffiths',
          location: 'Los Angeles, CA',
          professional: 'Therapist',
          shortDescription: 'Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.',
          priceMin: 40,
          priceMax: 90,
        },
        {
          id: 2,
          avatar: null,
          rating: 5,
          name: 'Chloe Gallagher',
          location: 'Los Angeles, CA',
          professional: 'Therapist, Dietician',
          shortDescription: 'Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.',
          priceMin: 40,
          priceMax: 90,
        },
        {
          id: 3,
          avatar: null,
          rating: 5,
          name: 'Gustavo Kramer',
          location: 'San Diego, CA',
          professional: 'Therapist',
          shortDescription: 'Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.',
          priceMin: 40,
          priceMax: 90,
        },
        {
          id: 4,
          avatar: null,
          rating: 5,
          name: 'Isabelle Anderson',
          location: 'San Francisco, CA',
          professional: 'Therapist',
          shortDescription: 'Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.',
          priceMin: 40,
          priceMax: 80,
        },
        {
          id: 5,
          avatar: null,
          rating: 4,
          name: 'Javier Richmond',
          location: 'New York, NY',
          professional: 'Therapist',
          shortDescription: 'Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.',
          priceMin: 40,
          priceMax: 90,
        },
      ]
    };
  }
}
</script>

<style lang="scss">
#health-pros {
  .content-wrapper {
    display: grid;
    grid-template-columns: 275px 1fr;
    grid-gap: 30px;

    .doctors {
    }
  }
}
</style>
